Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004488 [DCSS] Implementables feature N/A 2011-09-02 13:50 2011-10-21 03:22
Reporter dpeg View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status closed   Product Branch 0.10 ancient branch
Summary 0004488: Automatic annotations for ghosts and uniques
Description Currently, there are automated annotations (to be read on Ctrl-O) for travel exclusions, e.g. from oklob plants or hostile statues. If you want to remember a dangerous opponent you cannot (or don't want to) cope with, you have to annotate yourself with the ! command.

This implementable is about making automatic annotations for uniques and ghosts as well. Of course, the annotations would be gone if the unique or ghost is killed, like with oklobs and statues. (A little more care is necessary because a unique may be seen to leave the level. At least for ghosts this is not an issue, though.)

Reason: we can safely assume that a unique/ghost the player does not dispatch is a serious threat. As such, an annotation is useful.

Right now, you can find the positions of uniques and ghosts, but you have to read the log book with ?: which is a lot more cumbersome.

Coder's choice if the annotation should come with an exclamation mark or not.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Auto-annotate-uniques-and-player-ghosts-on-the-overv.patch [^] (13,563 bytes) 2011-09-05 01:40 [Show Content]

- Relationships

-  Notes
(0014496)
dpeg (administrator)
2011-09-03 16:23

To be sure, this implementable has an easier (ghosts) and a harder (uniques) part. A patch that "only" adds auto-annotations for ghosts only (a la "Bob, a powerful KeFi ghost") is welcome, too!
(0014514)
GreatZebu (updater)
2011-09-05 01:44

I've attached a patch to implement this. I've tried to be thorough (it handles uniques and ghosts, handles the case where they fall into shafts in or out of LOS or follow you up and down stairs).
(0014519)
KiloByte (manager)
2011-09-05 19:34

Outstanding, seems to work perfectly!

In trunk.

- Issue History
Date Modified Username Field Change
2011-09-02 13:50 dpeg New Issue
2011-09-03 16:23 dpeg Note Added: 0014496
2011-09-05 01:40 GreatZebu File Added: 0001-Auto-annotate-uniques-and-player-ghosts-on-the-overv.patch
2011-09-05 01:44 GreatZebu Note Added: 0014514
2011-09-05 19:34 KiloByte Note Added: 0014519
2011-09-05 19:34 KiloByte Status new => resolved
2011-09-05 19:34 KiloByte Fixed in Branch => 0.10 development branch
2011-09-05 19:34 KiloByte Resolution open => done
2011-09-05 19:34 KiloByte Assigned To => KiloByte
2011-10-21 03:22 dpeg Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker